# Class OfferAvailabilityResponse

#### Hierarchy

- unknown
  - OfferAvailabilityResponse

- Defined in src/protobuf/pb_pb.d.ts:757
- Defined in src/protobuf/pb_pb.d.ts:785

#####
Index

### Constructors

constructor

### Methods

addSupportedCapabilities
clearSupportedCapabilitiesList
getAvailabilityResult
getMakerSignature
getMakerSignature_asB64
getMakerSignature_asU8
getOfferId
getSupportedCapabilitiesList
getUid
serializeBinary
setAvailabilityResult
setMakerSignature
setOfferId
setSupportedCapabilitiesList
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new OfferAvailabilityResponse(): OfferAvailabilityResponse

- #### Returns OfferAvailabilityResponse

  Inherited from jspb.Message.constructor

## Methods

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): OfferAvailabilityResponse

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:767

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): OfferAvailabilityResponse

- #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:766

### getAvailabilityResult

- getAvailabilityResult(): AvailabilityResult

- #### Returns AvailabilityResult

  - Defined in src/protobuf/pb_pb.d.ts:761

### getMakerSignature

- getMakerSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:772

### getMakerSignature_asB64

- getMakerSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:774

### getMakerSignature_asU8

- getMakerSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:773

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:758

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/pb_pb.d.ts:764

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:769

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:777

### setAvailabilityResult

- setAvailabilityResult(value: AvailabilityResult): OfferAvailabilityResponse

- #### Parameters

  - ##### value: AvailabilityResult

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:762

### setMakerSignature

- setMakerSignature(value: string | Uint8Array): OfferAvailabilityResponse

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:775

### setOfferId

- setOfferId(value: string): OfferAvailabilityResponse

- #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:759

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): OfferAvailabilityResponse

- #### Parameters

  - ##### value: number[]

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:765

### setUid

- setUid(value: string): OfferAvailabilityResponse

- #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:770

### toObject

- toObject(includeInstance?: boolean): OfferAvailabilityResponse.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns OfferAvailabilityResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:778

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferAvailabilityResponse

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:781

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferAvailabilityResponse, reader: BinaryReader): OfferAvailabilityResponse

- #### Parameters

  - ##### message: OfferAvailabilityResponse

  - ##### reader: BinaryReader

  #### Returns OfferAvailabilityResponse

  - Defined in src/protobuf/pb_pb.d.ts:782

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferAvailabilityResponse, writer: BinaryWriter): void

- #### Parameters

  - ##### message: OfferAvailabilityResponse

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:780

### `Static` toObject

- toObject(includeInstance: boolean, msg: OfferAvailabilityResponse): OfferAvailabilityResponse.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferAvailabilityResponse

  #### Returns OfferAvailabilityResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:779

Generated using TypeDoc